# File symmetry.hpp

↰ Parent directory (`cif++`)

## Definition (`cif++/symmetry.hpp`)

- Program Listing for File symmetry.hpp

## Detailed Description

This file contains code to do symmetry operations based on the operations as specified in the International Tables.

## Includes

- `array`

- `cif++/exports.hpp` (File exports.hpp)

- `cif++/matrix.hpp` (File matrix.hpp)

- `cif++/point.hpp` (File point.hpp)

- `cstdint`

- `string`

## Included By

- File cif++.hpp

## Namespaces

- Namespace cif

- Namespace cif::literals

## Classes

- Struct space_group

- Struct sym_op

- Struct symop_data

- Struct symop_datablock

- Class cell

- Class crystal

- Class spacegroup

- Class transformation

## Enums

- Enum space_group_name

## Functions

- Function cif::fractional

- Function cif::get_space_group_number(std::string_view, space_group_name)

- Function cif::get_space_group_number(std::string_view)

- Function cif::get_space_group_number(const datablock&)

- Function cif::literals::operator””_symop

- Function cif::operator*(const matrix3x3<float>&, const point&)

- Function cif::orthogonal

## Variables

- Variable cif::kNrOfSpaceGroups

- Variable cif::kSpaceGroups

- Variable cif::kSymopNrTable

- Variable cif::kSymopNrTableSize